Subject: Re: [PATCH 2/2] usb: serial: option: add Cellient MPL200 card

From: Wilken Gottwalt <[email-masked]>
Date: Mon, 5 Oct 2020 14:02:41 +0200

On Mon, 5 Oct 2020 13:06:38 +0200
Johan Hovold <[email-masked]> wrote:

> On Mon, Oct 05, 2020 at 01:01:34PM +0200, Wilken Gottwalt wrote:
> > On Mon, 5 Oct 2020 10:20:45 +0200
> > Johan Hovold <[email-masked]> wrote:
> > 
> > > On Sat, Oct 03, 2020 at 11:40:29AM +0200, Wilken Gottwalt wrote:
> > > > Add usb ids of the Cellient MPL200 card.
> > > > 
> > > > Signed-off-by: Wilken Gottwalt <[email-masked]>
> > > > ---
> 
> > > > @@ -1982,6 +1983,8 @@ static const struct usb_device_id option_ids[] = {
> > > >  	{ USB_DEVICE_AND_INTERFACE_INFO(MEDIATEK_VENDOR_ID, MEDIATEK_PRODUCT_DC_4COM2,
> > > > 0xff, 0x02, 0x01) }, { USB_DEVICE_AND_INTERFACE_INFO(MEDIATEK_VENDOR_ID,
> > > > MEDIATEK_PRODUCT_DC_4COM2, 0xff, 0x00, 0x00) }, { USB_DEVICE(CELLIENT_VENDOR_ID,
> > > > CELLIENT_PRODUCT_MEN200) },
> > > > +	{ USB_DEVICE(CELLIENT_VENDOR_ID, CELLIENT_PRODUCT_MPL200),
> > > > +	  .driver_info = RSVD(1) | RSVD(4) },
> > > 
> > > Would you mind posting the output of "lsusb -v" for this device?
> > 
> > I would like to, but unfortunately I lost access to this really rare hardware
> > about a month ago. It is a Qualcomm device (0x05c6:0x9025) with a slightly
> > modified firmware to rebrand it as a Cellient product with a different vendor
> > id. How to proceed here, if I have no access to it anymore? Drop it?
> 
> No, that's ok, I've applied the patch now. It's just that in case we
> ever need to revisit the handling of quirky devices, it has proven
> useful to have a record the descriptors.
> 
> Do you remember the interface layout and why you blacklisted interface
> 1?

If I remember correctly this interface belongs to the GPS data, but the
card itself has no connector for a GPS antenna. The NMEA protocol data
there were bogus values. I'm not sure if there is a hardware revision
which has the connector, but the firmware seems to support it. Interface
4 is the qmi endpoint for sure. The other endpoints are Hayes protocol
and diag.

greetings,
Will